Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_node

## Name

librdf_new_node_from_node -- Copy constructor - create a new librdf_node object from an existing librdf_node object

## Synopsis

``librdf_node* `librdf_new_node_from_node`` (librdf_node * `node`);`

## Arguments

`node`

  librdf_node object to copy

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node_from_blank_identifier | Up | librdf_free_node